package org.jeecg.modules.flowpath.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.flowpath.dto.ItdmPassRunFlowPath;
import org.jeecg.modules.flowpath.dto.ItdmRejectDQRunFlowPath;
import org.jeecg.modules.flowpath.dto.ItdmRejectZDRunFlowPath;
import org.jeecg.modules.flowpath.dto.ItdmSaveRunFlowPath;
import org.jeecg.modules.flowpath.entity.ItdmRunFlowPathStep;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.flowpath.vo.ItdmBuohuiRunFlowPathStepVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description: 运行流程步骤表
 * @Author: jeecg-boot
 * @Date: 2023-07-20
 * @Version: V1.0
 */
public interface IItdmRunFlowPathStepService extends IService<ItdmRunFlowPathStep> {


    void saveData(ItdmSaveRunFlowPath saveRunFlowPath);


    void pass(ItdmSaveRunFlowPath saveRunFlowPath);

    void pass1(ItdmPassRunFlowPath itdmRunFlowPathStep);


    void rejectDQ(ItdmRejectDQRunFlowPath itdmRejectDQRunFlowPath);

    void rejectzd(ItdmRejectZDRunFlowPath zdRunFlowPath);

    public List<ItdmBuohuiRunFlowPathStepVO> yrunList(String runFlowPath);


    void jieshu(String s);
}
